/**
 * 点（元组表示）
 */
export declare type PointTuple = [number, number];
/**
 * 点（对象表示）
 */
export declare type Point = {
    x: number;
    y: number;
};
/**
 * 包围盒
 */
export declare type BBox = {
    x: number;
    y: number;
    width: number;
    height: number;
};
/**
 * 一条线段
 */
export declare type Segment = {
    from: PointTuple;
    to: PointTuple;
    length: number;
};
//# sourceMappingURL=types.d.ts.map